LightSemaphore Struct Reference

A light semaphore. More...

`#include <synchronization.h>`

## Data Fields

s32 | current_count
| The current release count of the semaphore.
s16 | num_threads_acq
| Number of threads concurrently acquiring the semaphore.
s16 | max_count
| The maximum release count of the semaphore.

## Detailed Description

A light semaphore.

The documentation for this struct was generated from the following file:

- include/3ds/synchronization.h